Package com.castlabs.android.player.models.hls

# Class HlsInterstitial

java.lang.Object
com.castlabs.android.player.models.hls.HlsInterstitial

public final class HlsInterstitial extends Object
Represents an HLS interstitial content that can be inserted into the main content stream. This class contains information about the interstitial content including its URL, duration, and timing information.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `HlsInterstitial.Asset`
  Represents an asset within an HLS interstitial.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `cue`
  The cue point identifier for this interstitial
  `final int`
  `duration`
  The duration of the interstitial in milliseconds
  `final String`
  `id`
  The unique identifier for this interstitial
  `final int`
  `resumeOffset`
  The offset in milliseconds where playback should resume after the interstitial
  `final long`
  `startOffsetUs`
  The start offset of the interstitial relative to the start of the playlist in microseconds
  `final Uri`
  `url`
  The URL of the interstitial content

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HlsInterstitial(Uri url, String id, String cue, int duration, int resumeOffset, long startOffsetUs)`
  Creates a new HLS interstitial with the specified parameters.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### url

    @NonNull public final Uri url
    The URL of the interstitial content

  - ### id

    public final String id
    The unique identifier for this interstitial

  - ### cue

    public final String cue
    The cue point identifier for this interstitial

  - ### duration

    public final int duration
    The duration of the interstitial in milliseconds

  - ### resumeOffset

    public final int resumeOffset
    The offset in milliseconds where playback should resume after the interstitial

  - ### startOffsetUs

    public final long startOffsetUs
    The start offset of the interstitial relative to the start of the playlist in microseconds

- ## Constructor Details

  - ### HlsInterstitial

    public HlsInterstitial(Uri url, String id, String cue, int duration, int resumeOffset, long startOffsetUs)
    Creates a new HLS interstitial with the specified parameters.
    Parameters:
      `url` - The URL of the interstitial content
      `id` - The unique identifier for this interstitial
      `cue` - The cue point identifier
      `duration` - The duration in milliseconds
      `resumeOffset` - The resume offset in milliseconds
      `startOffsetUs` - The start offset in microseconds relative to playlist start